### Type parameters

- #### A

### Hierarchy

- Stream
  - SinkStream
  - MapStream
  - MapToStream
  - FilterStream
  - SnapshotStream
  - SnapshotWithStream

## Index

### Properties

- cbListeners
- eventListeners

### Accessors

- def

### Methods

- filter
- map
- mapTo
- merge
- publish
- push
- scan
- subscribe

## Properties

### cbListeners

cbListeners: function[] = []

- Defined in Stream.ts:13

#### Type declaration

- - (a: A): void

  - #### Parameters

    - ##### a: A

    #### Returns void

### eventListeners

eventListeners: Consumer<A>[] = []

- Defined in Stream.ts:12

## Accessors

### def

def:

- Defined in Stream.ts:24

## Methods

### filter

- filter(fn: FilterFunction): FilterStream<A>

- - Defined in Stream.ts:56

  #### Parameters

  - ##### fn: FilterFunction

  #### Returns FilterStream<A>

### map

- map<B>(fn: MapFunction): Stream<B>

- - Defined in Stream.ts:37

  #### Type parameters

  - #### B

  #### Parameters

  - ##### fn: MapFunction

  #### Returns Stream<B>

### mapTo

- mapTo<B>(val: B): Stream<B>

- - Defined in Stream.ts:43

  #### Type parameters

  - #### B

  #### Parameters

  - ##### val: B

  #### Returns Stream<B>

### merge

- merge<B>(otherStream: Stream<B>): Stream<A | B>

- - Defined in Stream.ts:49

  #### Type parameters

  - #### B

  #### Parameters

  - ##### otherStream: Stream<B>

  #### Returns Stream<A | B>

### publish

- publish(a: A): void

- - Defined in Stream.ts:15

  #### Parameters

  - ##### a: A

  #### Returns void

### push

- push(a: any): void

- - Defined in Stream.ts:35

  #### Parameters

  - ##### a: any

  #### Returns void

### scan

- scan<B>(fn: ScanFunction, init: B): Behavior<Behavior<B>>

- - Defined in Stream.ts:62

  #### Type parameters

  - #### B

  #### Parameters

  - ##### fn: ScanFunction

  - ##### init: B

  #### Returns Behavior<Behavior<B>>

### subscribe

- subscribe(fn: SubscribeFunction): void

- - Defined in Stream.ts:31

  #### Parameters

  - ##### fn: SubscribeFunction

  #### Returns void

Generated using TypeDoc